import request from '@/utils/request'

// 文件查看
export function findAll(query) {
    return request({
        url: '/system/tArchives/findAll',
        method: 'get',
        params: query
    })
}

// 文件查看
export function findAllDocList(query) {
    return request({
        url: '/system/tArchives/findAllDocList',
        method: 'get',
        params: query
    })
}

// 文件查看
export function getParentId(query) {
    return request({
        url: '/system/tArchives/getParentId',
        method: 'get',
        params: query
    })
}


//文件保存/新建文件夹
export function save(data) {
    return request({
        url: '/system/tArchives/save',
        method: 'post',
        data: data
    })
}

// 删除文件或文件夹
export function delByIds(ids) {
    return request({
        url: '/system/tArchives/delete',
        method: 'post',
        params:ids
    })
}

// 彻底删除
export function ackDelete(ids) {
    return request({
        url: '/system/tArchives/ackDelete',
        method: 'post',
        params:ids
    })
}

// 还原
export function restore(ids) {
    return request({
        url: '/system/tArchives/restore',
        method: 'post',
        params:ids
    })
}
